Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77098 - pstops filter corrupts file produced by Mac
Summary: pstops filter corrupts file produced by Mac
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: cups
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-01 04:13 UTC by Jonathan Kamens
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version: 1.1.19-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-28 09:29:34 UTC


Attachments (Terms of Use)
Mac PS file corrupted by cups (deleted)
2002-11-01 04:15 UTC, Jonathan Kamens
no flags Details

Description Jonathan Kamens 2002-11-01 04:13:41 UTC
The attached file, produced by AppleWorks 6 on MacOS 9, can't be printed with
cups-1.1.15-2, because the pstops filter corrupts.  It appears that the filter
replaces all carriage returns with newlines, which is a problem with files that
contain binary eexecs.  The same file can be printed successfully after it is
run through the "ps2ps" filter that comes with ghostscript, because that filter
converted binary data into encoded data and gets rid of carriage returns.

One potential solution to this bug would that rather than converting carriage
returns to line feeds, pstops should probably leave intact whatever line endings
are in place and just adjust its own idea of what the correct line ending
character is.

Comment 1 Jonathan Kamens 2002-11-01 04:15:53 UTC
Created attachment 83010 [details]
Mac PS file corrupted by cups

Comment 2 Tim Waugh 2003-03-04 14:03:05 UTC
I think this is the cups 'binary PostScript' problem that is fixed upstream.

Comment 3 Jonathan Kamens 2003-03-30 18:17:27 UTC
Fixed upstream in what CUPS version?


Comment 4 Tim Waugh 2003-03-30 20:32:11 UTC
I thought I saw it in the release notes for 1.1.18, but apparently not.  Maybe
it's in CVS then.  Google won't remind me where it was I saw it, it seems.

Comment 5 Michael Sweet 2003-04-18 14:55:19 UTC
This is fixed in 1.1.19.

Note: in conjunction with the new binary-safe pstops filter in 1.1.19, you
usually also must configure the binary transmission protocol for PostScript
printers - see the web configuration page or "man lpadmin" for more info.


Note You need to log in before you can comment on or make changes to this bug.